Skip to main content
POST
Start a generation
This feature is in beta. During beta, endpoint schemas and behavior may change or be removed.

Authorizations

x-api-key
string
header
required

Bloom API key, for example x-api-key: bloom_sk_....

Body

application/json
brandSessionId
string<uuid>
required

Brand ID for this request. Brand guidance is not added automatically.

model
string
required

Exact model ID returned by GET /models.

Minimum string length: 1
input
object
required

Input matching the model's inputSchema. Include relevant brand guidance here.

Response

OK

data
object
required